Page MenuHomePhabricator

efl.canvas.group
Closed, ResolvedPublic

Description

| |class Efl.Canvas.Group (evas_object_smart)
| |├ (P) group_need_recalculate
| |├ (P) group_clipper
| |├ (M) group_change
| |├ (M) group_calculate
| |├ (M) group_members_iterate
| |├ (M) group_member_add
| |├ (M) group_member_del
| |├ (M) group_member_is

Related Objects

StatusAssignedTask
Resolvedzmike
Resolvedzmike
Resolvedzmike
Resolvedzmike
zmike created this task.Jan 8 2019, 11:28 AM
zmike triaged this task as TODO priority.
zmike removed a parent task: T7511: efl.ui.win.
zmike added a comment.Feb 12 2019, 7:38 AM

Some issues:

  • It feels weird to me that there's no events for this class. At a minimum I would expect member,added and member,removed
  • Why are the methods named add and del when we use add and remove in the rest of efl?

I share @zmike's concerns.

zmike added a comment.Feb 13 2019, 5:24 AM

I'm also somewhat confused by the existence of group_member_is, which seems like it exists in order to check whether an object is parented to an event grabber? Otherwise one would just check the object's render_parent property.

@zmike i think group_member_is is fine, its quite handy and support efl.canvas.group objects which do not force theire children to have them as render parent. Seems like it is somehow usefull.

zmike moved this task from Backlog to Evaluating on the efl: api board.Feb 27 2019, 9:13 AM
zmike moved this task from Evaluating to Stabilized on the efl: api board.Feb 27 2019, 12:21 PM
zmike closed subtask T7555: efl.canvas.object as Resolved.
zmike closed this task as Resolved.
zmike claimed this task.